# frozen_string_literal: true

module Jekyll
  module Filters
    module Order
      def order(input)
        input.sort_by do |post|
          [post.data.dig('order').to_i, post.data['date']]
        end.reverse
      end
    end
  end
end

Liquid::Template.register_filter(Jekyll::Filters::Order)
